Name:                maven-checkstyle-plugin
Version:             3.0.0
Release:             1
Summary:             Plugin that generates a report regarding the code style used by the developers
License:             ASL 2.0
URL:                 https://maven.apache.org/plugins/%{name}
Source0:             http://archive.apache.org/dist/maven/plugins/%{name}-%{version}-source-release.zip
Patch1:              0001-Port-to-doxia-1.7.patch

BuildArch:           noarch
BuildRequires:       maven-local mvn(commons-collections:commons-collections)
BuildRequires:       mvn(com.puppycrawl.tools:checkstyle)
BuildRequires:       mvn(org.apache.maven.doxia:doxia-decoration-model)
BuildRequires:       mvn(org.apache.maven.doxia:doxia-integration-tools)
BuildRequires:       mvn(org.apache.maven.doxia:doxia-sink-api)
BuildRequires:       mvn(org.apache.maven.doxia:doxia-site-renderer)
BuildRequires:       mvn(org.apache.maven:maven-artifact) mvn(org.apache.maven:maven-core)
BuildRequires:       mvn(org.apache.maven:maven-model) mvn(org.apache.maven:maven-plugin-api)
BuildRequires:       mvn(org.apache.maven:maven-plugin-descriptor)
BuildRequires:       mvn(org.apache.maven:maven-project)
BuildRequires:       mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires:       mvn(org.apache.maven.plugins:maven-plugins:pom:)
BuildRequires:       mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
BuildRequires:       mvn(org.apache.maven.reporting:maven-reporting-api)
BuildRequires:       mvn(org.apache.maven.reporting:maven-reporting-impl)
BuildRequires:       mvn(org.apache.velocity:velocity)
BuildRequires:       mvn(org.codehaus.plexus:plexus-component-annotations)
BuildRequires:       mvn(org.codehaus.plexus:plexus-component-metadata)
BuildRequires:       mvn(org.codehaus.plexus:plexus-container-default)
BuildRequires:       mvn(org.codehaus.plexus:plexus-interpolation)
BuildRequires:       mvn(org.codehaus.plexus:plexus-resources) mvn(org.codehaus.plexus:plexus-utils)
BuildRequires:       mvn(org.codehaus.plexus:plexus-velocity)

%description
Generates a report on violations of code style and optionally fails the build
if violations are detected.

%package javadoc
Summary:             Javadoc for %{name}
%description javadoc
This package contains the API documentation for %{name}.

%prep
%autosetup -p1
%pom_remove_plugin :apache-rat-plugin
%pom_remove_plugin :build-helper-maven-plugin
%pom_remove_plugin :animal-sniffer-maven-plugin

%build
%mvn_build -f -- -DmavenVersion=3.2.1

%install
%mvn_install

%files -f .mfiles
%doc LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE

%changelog
* Mon Jul 27 2020 maminjie <maminjie1@huawei.com> - 3.0.0-1
- package init
